CREATE DATABASE sprzedaz
GO

USE sprzedaz
GO

CREATE TABLE Ksiazka
(
ID_Ksiazki INTEGER IDENTITY(1,1) PRIMARY KEY,
ISBN varchar(10) UNIQUE NOT NULL,
Gatunek nvarchar(20),
Tytul nvarchar(128),
PrzedzialCenowy nvarchar(20),
)
GO

CREATE TABLE Data
(
    ID_Daty INTEGER IDENTITY(1,1) PRIMARY KEY,
    Data datetime unique,
)
GO

CREATE TABLE Sprzedaz
(
    Ilosc INTEGER NOT NULL,
    Cena_kupna DECIMAL(10,4),
    Zysk DECIMAL(10,4),
    ID_Ksiazki INTEGER FOREIGN KEY REFERENCES Ksiazka,
    ID_Daty INTEGER FOREIGN KEY REFERENCES Data
)
GO
